# Constant Field Values

## Contents

- org.zeromq.*

## org.zeromq.*

org.zeromq.ZFrame
Modifier and Type
Constant Field
Value
`public static final int`
`DONTWAIT`
`1`
`public static final int`
`MORE`
`2`
`public static final int`
`REUSE`
`128`
org.zeromq.ZMQ
Modifier and Type
Constant Field
Value
`public static final int`
`DEALER`
`5`
`public static final int`
`DONTWAIT`
`1`
`public static final int`
`DOWNSTREAM`
`8`
`public static final int`
`EVENT_ACCEPT_FAILED`
`64`
`public static final int`
`EVENT_ACCEPTED`
`32`
`public static final int`
`EVENT_ALL`
`2047`
`public static final int`
`EVENT_BIND_FAILED`
`16`
`public static final int`
`EVENT_CLOSE_FAILED`
`256`
`public static final int`
`EVENT_CLOSED`
`128`
`public static final int`
`EVENT_CONNECT_DELAYED`
`2`
`public static final int`
`EVENT_CONNECT_RETRIED`
`4`
`public static final int`
`EVENT_CONNECTED`
`1`
`public static final int`
`EVENT_DISCONNECTED`
`512`
`public static final int`
`EVENT_LISTENING`
`8`
`public static final int`
`EVENT_MONITOR_STOPPED`
`1024`
`public static final int`
`FORWARDER`
`2`
`public static final int`
`NOBLOCK`
`1`
`public static final int`
`PAIR`
`0`
`public static final int`
`PUB`
`1`
`public static final int`
`PULL`
`7`
`public static final int`
`PUSH`
`8`
`public static final int`
`QUEUE`
`3`
`public static final int`
`REP`
`4`
`public static final int`
`REQ`
`3`
`public static final int`
`ROUTER`
`6`
`public static final int`
`SNDMORE`
`2`
`public static final int`
`STREAMER`
`1`
`public static final int`
`SUB`
`2`
`public static final int`
`UPSTREAM`
`7`
`public static final int`
`XPUB`
`9`
`public static final int`
`XREP`
`6`
`public static final int`
`XREQ`
`5`
`public static final int`
`XSUB`
`10`
org.zeromq.ZMQ.Poller
Modifier and Type
Constant Field
Value
`public static final int`
`POLLERR`
`4`
`public static final int`
`POLLIN`
`1`
`public static final int`
`POLLOUT`
`2`